{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}


{% block body %}
    {{ form_start(form) }}

    {{ form_row(form.name) }}

    {{ form_row(form.files) }}

    {% if (article.files is not empty ) %}
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th scope="col">Nom du fichier</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                {% for file in article.files %}
                    <tr>
                        <th>
                            {{ file.fileName }}
                        </th>

                        <th>
                            {{ macro.downloadButton('app_file_download', file.id) }}
                        </th>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% endif %}

    {{ form_row(form.description) }}

    {{ form_end(form) }}

{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('tinymce') }}
{% endblock %}

{#{% block title %}#}
{#        Ajouter un article#}
{#{% endblock %}#}

{#{% block pageActions %}#}
{#    {{ macro.backButton('app_article_index') }}#}
{#{% endblock %}#}

{#{% block pageSaveReturn %}#}
{#    {{ macro.save('app_article_index') }}#}
{#{% endblock %}#}

{#{% block pageDetails %}#}
{#    {{ dump(article) }}#}
{#{% endblock %}#}

{#{% block javascripts %}#}
{#    {{ encore_entry_script_tags('tinymce') }}#}
{#{% endblock %}#}
